org.jbpm.services.api.query.model

## Class QueryParam

- java.lang.Object
- - org.jbpm.services.api.query.model.QueryParam

- All Implemented Interfaces:
    Serializable

      public class QueryParam
      extends Object
      implements Serializable

  Basic data carrier to provide filtering capabilities on top of query definition.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryParam(String column, String operator, List<?> value)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static QueryParam` | `between(String column, Comparable<?> start, Comparable<?> end)`
    `static QueryParam` | `equalsTo(String column, Comparable<?>... values)`
    `String` | `getColumn()`
    `String` | `getOperator()`
    `List<?>` | `getValue()`
    `static QueryParam` | `greaterOrEqualTo(String column, Comparable<?> value)`
    `static QueryParam` | `greaterThan(String column, Comparable<?> value)`
    `static QueryParam` | `in(String column, List<?> values)`
    `static QueryParam` | `isNotNull(String column)`
    `static QueryParam` | `isNull(String column)`
    `static QueryParam` | `likeTo(String column, boolean caseSensitive, Comparable<?> value)`
    `static QueryParam` | `lowerOrEqualTo(String column, Comparable<?> value)`
    `static QueryParam` | `lowerThan(String column, Comparable<?> value)`
    `static QueryParam` | `notEqualsTo(String column, Comparable<?>... values)`
    `static QueryParam` | `notIn(String column, List<?> values)`
    `void` | `setColumn(String column)`
    `void` | `setOperator(String operator)`
    `void` | `setValue(List<?> value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryParam

          public QueryParam(String column,
                    String operator,
                    List<?> value)

  - ### Method Detail

    - #### isNull

          public static QueryParam isNull(String column)

    - #### isNotNull

          public static QueryParam isNotNull(String column)

    - #### equalsTo

          public static QueryParam equalsTo(String column,
                            Comparable<?>... values)

    - #### notEqualsTo

          public static QueryParam notEqualsTo(String column,
                               Comparable<?>... values)

    - #### likeTo

          public static QueryParam likeTo(String column,
                          boolean caseSensitive,
                          Comparable<?> value)

    - #### greaterThan

          public static QueryParam greaterThan(String column,
                               Comparable<?> value)

    - #### greaterOrEqualTo

          public static QueryParam greaterOrEqualTo(String column,
                                    Comparable<?> value)

    - #### lowerThan

          public static QueryParam lowerThan(String column,
                             Comparable<?> value)

    - #### lowerOrEqualTo

          public static QueryParam lowerOrEqualTo(String column,
                                  Comparable<?> value)

    - #### between

          public static QueryParam between(String column,
                           Comparable<?> start,
                           Comparable<?> end)

    - #### in

          public static QueryParam in(String column,
                      List<?> values)

    - #### notIn

          public static QueryParam notIn(String column,
                         List<?> values)

    - #### getColumn

          public String getColumn()

    - #### setColumn

          public void setColumn(String column)

    - #### getOperator

          public String getOperator()

    - #### setOperator

          public void setOperator(String operator)

    - #### getValue

          public List<?> getValue()

    - #### setValue

          public void setValue(List<?> value)

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.